<?php
/*
Plugin Name: +18 DEV - Adiciona ads
Plugin URI: https://mais18.dev.br/
Description: Insira e configure anúncios em seu site.
Version: 1.1.431
Author: +18 DEV (mais18.dev.br)
Author URI: https://mais18.dev.br/
Copyright (c) 2024 +18 DEV, Todos os direitos reservados.
*/

defined( 'ABSPATH' ) || exit;

/*************************************************************
 * Constantes do sistema
*************************************************************/
define('M18_ADD_ADS', plugin_dir_url( __FILE__ ) );
define('M18_ADD_ADS_PATH', plugin_dir_path(__FILE__));
define('M18_ADD_ADS_VLD_OPT', 'm18-video-object');//usar o nome da pasta do plugin
/* versão do plugin */
if( ! function_exists( 'get_plugin_data' ) ) {
	require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
}
$plugin_data = get_plugin_data( __FILE__ );
define('M18_ADD_ADS_VERSION', $plugin_data['Version']);
define('M18_ADD_ADS_OPTIONS', get_option('m18_ads_options'));

/*************************************************************
 * Menu Admin +18DEV Painel
*************************************************************/
if(!function_exists('m18_painel')){
	function m18_painel() {
		add_menu_page('+18DEV APPS', '+18DEV APPS','manage_options','m18-apps','m18_painel_page_content', wp_upload_dir()['baseurl'] .'/m18/assets/icon.png');
	}
	add_action( 'admin_menu', 'm18_painel' );
	function m18_painel_page_content(){
		require(M18_ADD_ADS_PATH .'/admin/painel.php' );
	}

	add_action( 'admin_enqueue_scripts', 'm18_load_admin_style' );
	function m18_load_admin_style() {
		wp_enqueue_style( 'm18adm', wp_upload_dir()['baseurl'] .'/m18/assets/admin.css', false, '1.0.0' );
	}
}

/*ao ativar*/
function m18_add_ads_optins_install() {
	/*
	$array = [];
	$array['server'] = 'https://xtraffix.com/';
	add_option( 'm18_ads_options', $array);
	*/
	if ( ! wp_next_scheduled( 'm18_addads_updatecheck' ) ) {
        wp_schedule_event( time(), 'daily', 'm18_addads_updatecheck' );
    }
}
register_activation_hook( __FILE__, 'm18_add_ads_optins_install' );

/*ao desativar */
function m18_remove_ads_optins_install() {
	wp_clear_scheduled_hook('m18_addads_updatecheck');
}
register_deactivation_hook( __FILE__, 'm18_remove_ads_optins_install' );

//após ativar redireciona
function m18_add_ads_redirect( $plugin ) {
    if( $plugin == plugin_basename( __FILE__ ) ) {
        exit(wp_redirect(admin_url('admin.php?page=m18-apps')));
    }
}
add_action( 'activated_plugin', 'm18_add_ads_redirect' );

function m18_add_ads_menu() {
	add_submenu_page('m18-apps', 'Gestor Ads', 'Gestor Ads', 'manage_options', M18_ADD_ADS_PATH .'/admin/ads.php');
}
add_action( 'admin_menu', 'm18_add_ads_menu' );

require('functions.php');
require('admin/functions-adm.php');
